Skip to main content
GET
/
v1
/
economy
/
inflation-expectations
Get Inflation Expectations
curl --request GET \
  --url https://api.aries.com/v1/economy/inflation-expectations \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "date": "2025-11-01",
      "forwardYears5To10": 2.18,
      "market10Year": 2.27,
      "market5Year": 2.35,
      "model10Year": 2.3071296,
      "model1Year": 2.703875,
      "model30Year": 2.431894,
      "model5Year": 2.3309433
    }
  ],
  "status": "OK",
  "requestId": "c02d532304a9443ab43b2e4b691c8706",
  "nextUrl": "https://api.aries.com/v1/inflation-expectations?cursor=AAEAAAABCgABAQ8KMjAyNS0wMy0wMQ=="
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

date
string<date>

Exact date in YYYY-MM-DD format

Example:

"2024-01-15"

dates
string

Comma-separated list of dates

Example:

"2024-01-15,2024-01-16"

dateFrom
string<date>

Date >= this value (inclusive)

Example:

"2024-01-01"

dateTo
string<date>

Date <= this value (inclusive)

Example:

"2024-01-31"

dateAfter
string<date>

Date > this value (exclusive)

Example:

"2024-01-01"

dateBefore
string<date>

Date < this value (exclusive)

Example:

"2024-01-31"

limit
integer

Maximum number of results

Example:

100

sort
string

Sort field

Example:

"date"

Response

200 - application/json

Successful response

results
object[]
status
string
requestId
string
nextUrl
string